Issue 93142 - svx: tools->options->security->read-only doesn't really have an effect on a read-only document
Summary: svx: tools->options->security->read-only doesn't really have an effect on a r...
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: code (show other issues)
Version: DEV300m29
Hardware: All Linux, all
: P3 Trivial (vote)
Target Milestone: OOo 3.1
Assignee: thorsten.martens
QA Contact: issues@graphics
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-26 13:35 UTC by caolanm
Modified: 2009-03-25 15:00 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
seem to have lost the patch, I think it was just this (645 bytes, patch)
2008-09-09 08:04 UTC, caolanm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description caolanm 2008-08-26 13:35:18 UTC
If tools->options->security->read-only is used to add an advisory read-only
state to a document, then when loading such a document that setting is available
for toggling off, but it doesn't really have an effect on the current document
as it remains read-only. Though it is true that toggling it and then using "save
as" will create a new document with read-only disabled.

Maybe it would be more consistent to disable the toggle when a document has been
set to read-only, and require that the "edit file" function is selected before
it becomes enabled again, that removes the confusion of e.g.
https://bugzilla.redhat.com/show_bug.cgi?id=460124 where the expectation is that
unticking it makes the document read-only the next time it is re-loaded.
Comment 1 pb 2008-09-09 07:35:39 UTC
pb: accepted for 3.1.
@Caolan: where is the patch?
Comment 2 pb 2008-09-09 07:37:05 UTC
.
Comment 3 caolanm 2008-09-09 08:04:24 UTC
Created attachment 56341 [details]
seem to have lost the patch, I think it was just this
Comment 4 pb 2008-11-11 12:13:04 UTC
pb: patch integrated in cws fwk92.
Files changed:
\svx\source\dialog\optinet2.cxx 263554
Comment 5 pb 2008-11-26 15:08:46 UTC
pb -> tm: please verify. Thx.
If you open Tools - Options - OOo - Security on a read-only document the
checkbox "Open this document in read-only mode" must be disabled.
Comment 6 thorsten.martens 2008-12-08 12:38:12 UTC
Checked and verified in cws fwk92 -> OK !
Comment 7 thorsten.martens 2009-03-25 15:00:07 UTC
closed